Civilization 5: Brave New World Message Board  STATUS: ACTIVE - Trainers are still being considered and updated for this title as patches are released. There is no guarantee that a trainer can be made or updated but it will be reviewed by our staff.

Our Civilization 5: Brave New World Trainer is now available and supports STEAM. Our Civilization 5: Brave New World message board is available to provide feedback on our trainers or cheats.
Civilization 5: Brave New World Trainer
REQUEST MORE OPTIONS
0 option(s) for voting
FILE UPDATE REQUEST
0 report(s) filed
BOOST UPDATE PRIORITY
Boost currently not available
Message Board for PC version
Page 2 of 3   •  First Page  •  Previous Page  •   Next Page  •   Last Page
Signup or Login to Post
Scenario's and the trainer
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to Parsondaddy
    ELITE
    Parsondaddy posted on Aug 13, 2013 3:36:03 PM - Report post
     
    The old trainers do not work with their corresponding scenarios in BNW. I tried loading them and they activate but don't work correctly. You can for example activate unlimited movement and you hear it activate but you don't have unlimited movement.
  • Founder
    Send a message to Caliber
    FOUNDER
    Caliber posted on Aug 13, 2013 4:27:30 PM - Report post
     
    we have posted multiple times that if you update your game to civ 5 brave world, then you can no longer run the plain old vanilla civ 5 any longer. it's not been possible for us to update the old versions of the game. I suggest you go ahead and purchase the expansion or try to find another trainer.

    also, we don't particularly like having to update THREE trainers each time this game patches, so we have settled on the latest iteration of the game which is brave new world.

    best,
    cal
    Trainer Creator
    www.cheathappens.com
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to Parsondaddy
    ELITE
    Parsondaddy posted on Aug 13, 2013 8:06:49 PM - Report post
     
    quote:
    originally posted by Caliber

    we have posted multiple times that if you update your game to civ 5 brave world, then you can no longer run the plain old vanilla civ 5 any longer. it's not been possible for us to update the old versions of the game. I suggest you go ahead and purchase the expansion or try to find another trainer.

    also, we don't particularly like having to update THREE trainers each time this game patches, so we have settled on the latest iteration of the game which is brave new world.

    best,
    cal

    The only time you have to update a trainer is when they release a big DLC, not every patch and that doesn't happen very often.

    Maybe buying a yearly subscription expecting updated trainers was a bad move on my part. I won't make that mistake again.

  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to kingpjb
    ELITE
    kingpjb posted on Aug 14, 2013 1:51:22 PM - Report post
     
    quote:
    originally posted by Parsondaddy

    quote:
    originally posted by Caliber

    we have posted multiple times that if you update your game to civ 5 brave world, then you can no longer run the plain old vanilla civ 5 any longer. it's not been possible for us to update the old versions of the game. I suggest you go ahead and purchase the expansion or try to find another trainer.

    also, we don't particularly like having to update THREE trainers each time this game patches, so we have settled on the latest iteration of the game which is brave new world.

    best,
    cal

    The only time you have to update a trainer is when they release a big DLC, not every patch and that doesn't happen very often.

    Maybe buying a yearly subscription expecting updated trainers was a bad move on my part. I won't make that mistake again.

    Actually, the trainers do need to be updated everytime there is a patch. That's why the old trainers don't work for the old scenarios now. So the vanilla, and G&K trainers would also need to be updated each time there is a patch. While there have not been many patches lately, for a while there were patches coming all the time for this game.

    CH is a great site. I've been using it for 4 years and really appreciate what they do.

  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to kingpjb
    ELITE
    kingpjb posted on Aug 14, 2013 1:54:26 PM - Report post
     
    quote:
    originally posted by Parsondaddy

    The old trainers do not work with their corresponding scenarios in BNW. I tried loading them and they activate but don't work correctly. You can for example activate unlimited movement and you hear it activate but you don't have unlimited movement.

    Check out the post by Borenson on the bottom of the first page.

  • Founder
    Send a message to Caliber
    FOUNDER
    Caliber posted on Aug 14, 2013 6:21:03 PM - Report post
     
    quote:
    originally posted by Parsondaddy

    quote:
    originally posted by Caliber

    we have posted multiple times that if you update your game to civ 5 brave world, then you can no longer run the plain old vanilla civ 5 any longer. it's not been possible for us to update the old versions of the game. I suggest you go ahead and purchase the expansion or try to find another trainer.

    also, we don't particularly like having to update THREE trainers each time this game patches, so we have settled on the latest iteration of the game which is brave new world.

    best,
    cal

    The only time you have to update a trainer is when they release a big DLC, not every patch and that doesn't happen very often.

    Maybe buying a yearly subscription expecting updated trainers was a bad move on my part. I won't make that mistake again.

    that's a pretty harsh statement considering we update trainers for 1000's of games, not just three versions of the civ 5 that are currently out. your statement about 'updating only when DLC' is factually incorrect. we have a log and I have updated vanilla civ 5 27 times, brave new world 2 times, and gods and kings 5 times. you certainly are free to find a better value for trainers than cheathappens but to claim we don't update our trainers is bunk.

    have a nice day.

    best,
    Cal

    Trainer Creator
    www.cheathappens.com
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to Parsondaddy
    ELITE
    Parsondaddy posted on Aug 14, 2013 8:39:38 PM - Report post
     
    I apologize. I was mad at your tone. I didn't see where you had posted many times on updating. You do a good job making new trainers quickly.

    The code is already written for the trainers. Updating them isn't like having to make a completely new trainer.

    I know I'm just 1 person playing 1 game but it's the game I spend the vast majority of time playing. There are over 250 achievements which would literally take years to accomplish. I don't think as a paying customer that its unreasonable to ask that you take a few minutes to update 2 trainers. If you were paying for a service wouldn't you want the exact same thing?
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to kangwenhao
    ELITE
    kangwenhao posted on Sep 01, 2013 12:33:52 PM - Report post
     
    The point isn't updating the older versions of the trainers, its getting the BNW trainer to work in the older scenarios too. Every time you start an older scenario, it says 'configuring game data', so I'm guessing they move where they store gold/movement/whatever which breaks the trainer? If so, is there some way to check or detect? I don't know how hard that would be, but I would really appreciate if it could be made to work with them as well.
Page 2 of 3   •  First Page  •  Previous Page  •   Next Page  •   Last Page
Signup or Login to Post
All times are (GMT -06:00) Central Time (US & Canada). Current time is 8:13:45 AM